package org.example.shoesapptest

import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material.Button
import androidx.compose.material.ButtonDefaults
import androidx.compose.material.MaterialTheme
import androidx.compose.material.Scaffold
import androidx.compose.material.Text
import androidx.compose.runtime.*
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontStyle
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import org.example.shoesapptest.common.buttonMarathon

@Composable
fun App() {
    MaterialTheme {
        Scaffold(
            topBar = { MarathonTopBar()},
            bottomBar = { MarathonBottomBar() }
        ) { paddingValues ->  Column(
            modifier = Modifier
                .padding(paddingValues)
                .fillMaxSize()
                .padding(30.dp),
            verticalArrangement = Arrangement.Center,
            horizontalAlignment = Alignment.CenterHorizontally
        ){
            buttonMarathon("Я хочу стать бегуном", FontStyle.Normal)
            buttonMarathon("Я хочу стать спонсором  бегуна", FontStyle.Normal)
            buttonMarathon("Я хочу узнать больше о событии", FontStyle.Normal)
            MarathonEnd()
        }

        }
    }
}



@Composable
fun MarathonTopBar(){
    Column(
        modifier = Modifier.fillMaxWidth().background(Color.DarkGray).padding(20.dp),
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center
    ) {
        Text(text = "Marathon Skill 2016",
            fontSize = 42.sp,
            fontFamily = FontFamily.Default,
            color = Color.White)
        Text(text = "Москва, Россия \n "+"среда 21 октября 2016",
            textAlign = TextAlign.Center,
            fontSize = 18.sp ,
            fontStyle = FontStyle.Italic,
            color = Color.LightGray)
    }
}

@Composable
fun MarathonBottomBar(){
    Column(
        modifier = Modifier.fillMaxWidth().background(Color.DarkGray),
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center
    ){
        Text(text="18 дней 9 часов и 17 минут до старта марафона!", color = Color.White)
    }
}

@Composable
fun MarathonEnd(){
    Column(
        horizontalAlignment = Alignment.End,
        modifier = Modifier.fillMaxWidth()
    ) {
        Button(
            modifier = Modifier.width(100.dp).height(100.dp),
            shape = RoundedCornerShape(10.dp),
            border = BorderStroke(2.dp, Color.LightGray),
            colors = ButtonDefaults.buttonColors(
                contentColor = Color.Black,
                backgroundColor = Color(242, 242, 242)
            ),
            onClick = {}
        ) {
            Text("Login")
        }
    }
}


















